Skip to main content
GET
/
api
/
v1
/
vm
/
commits
/
{commit_id}
/
parents
cURL
curl --request GET \
  --url https://api.example.com/api/v1/vm/commits/{commit_id}/parents \
  --header 'Authorization: Bearer <token>'
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "grandparent_commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parent_vm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

commit_id
string<uuid>
required

Commit ID to start from

Response

List of commits from the specified commit to the root

created_at
string<date-time>
required
id
string<uuid>
required
name
string
required
owner_id
string<uuid>
required

api key id.

description
string | null
grandparent_commit_id
string<uuid> | null

The commit that this commit's parent VM was started from, if any. Intended to optimize traversing the commit tree.

parent_vm_id
string<uuid> | null

The VM that this commit was created from, if any.